classification
Title: update OpenSSL 1.1.1 in multissltests.py to 1.1.1f
Type: Stage: resolved
Components: SSL Versions: Python 3.9, Python 3.8, Python 3.7, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: christian.heimes Nosy List: benjamin.peterson, christian.heimes, miss-islington, ned.deily, vstinner
Priority: normal Keywords: patch

Created on 2020-03-31 15:05 by benjamin.peterson, last changed 2020-04-03 00:59 by ned.deily. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 19248 merged benjamin.peterson, 2020-03-31 15:19
PR 19249 merged miss-islington, 2020-03-31 15:50
PR 19250 merged miss-islington, 2020-03-31 15:50
PR 19251 merged benjamin.peterson, 2020-03-31 15:51
Messages (9)
msg365389 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2020-03-31 15:10
+1

I usually update all version to latest patch and backport the change to active branches.
msg365394 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2020-03-31 15:50
New changeset cd16661f903153ecac55f190ed682e576c5deb24 by Benjamin Peterson in branch 'master':
closes bpo-40125: Update multissltests.py to use OpenSSL 1.1.1f. (GH-19248)
https://github.com/python/cpython/commit/cd16661f903153ecac55f190ed682e576c5deb24
msg365396 - (view) Author: miss-islington (miss-islington) Date: 2020-03-31 16:07
New changeset 9073f9272475be620c09b2852c094788b2b7096a by Miss Islington (bot) in branch '3.7':
closes bpo-40125: Update multissltests.py to use OpenSSL 1.1.1f. (GH-19248)
https://github.com/python/cpython/commit/9073f9272475be620c09b2852c094788b2b7096a
msg365397 - (view) Author: miss-islington (miss-islington) Date: 2020-03-31 16:08
New changeset fb6e04b5f10086194bcc77d571f77cb30873998b by Miss Islington (bot) in branch '3.8':
closes bpo-40125: Update multissltests.py to use OpenSSL 1.1.1f. (GH-19248)
https://github.com/python/cpython/commit/fb6e04b5f10086194bcc77d571f77cb30873998b
msg365445 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2020-04-01 01:52
New changeset ba8a2bcebfdb41acafea9a195e45e9d177dc216f by Benjamin Peterson in branch '2.7':
[2.7] closes bpo-40125: Update multissltests.py to use OpenSSL 1.1.1f. (GH-19251)
https://github.com/python/cpython/commit/ba8a2bcebfdb41acafea9a195e45e9d177dc216f
msg365549 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-04-02 01:08
See also bpo-40146: the OpenSSL version is also hardcoded in .azure-pipelines/ci.yml and .azure-pipelines/pr.yml. I updated it as well.
msg365653 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-04-03 00:41
See also bpo-40162: Upgrade Travis CI to OpenSSL 1.1.1f.
msg365655 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-04-03 00:49
I created bpo-40163: multissl doesn't support tarballs in /source/old/.
msg365658 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2020-04-03 00:59
Also bpo-40164: reminder to update Windows and macOS installer builds
History
Date User Action Args
2020-04-03 00:59:11ned.deilysetnosy: + ned.deily
messages: + msg365658
2020-04-03 00:49:21vstinnersetmessages: + msg365655
2020-04-03 00:41:06vstinnersetmessages: + msg365653
2020-04-02 01:08:50vstinnersetnosy: + vstinner
messages: + msg365549
2020-04-01 01:52:27benjamin.petersonsetmessages: + msg365445
2020-03-31 16:08:56miss-islingtonsetmessages: + msg365397
2020-03-31 16:07:30miss-islingtonsetmessages: + msg365396
2020-03-31 15:51:36benjamin.petersonsetpull_requests: + pull_request18609
2020-03-31 15:50:20miss-islingtonsetpull_requests: + pull_request18608
2020-03-31 15:50:12miss-islingtonsetnosy: + miss-islington

pull_requests: + pull_request18607
2020-03-31 15:50:02benjamin.petersonsetstatus: open -> closed
resolution: fixed
messages: + msg365394

stage: patch review -> resolved
2020-03-31 15:19:49benjamin.petersonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request18606
2020-03-31 15:11:34benjamin.petersonsetversions: + Python 2.7, Python 3.7, Python 3.8
2020-03-31 15:10:17christian.heimessetmessages: + msg365389
2020-03-31 15:05:15benjamin.petersoncreate